Package org.springframework.web.servlet.resource

# Class ContentVersionStrategy

java.lang.Object
org.springframework.web.servlet.resource.AbstractVersionStrategy
org.springframework.web.servlet.resource.ContentVersionStrategy

All Implemented Interfaces:
  `VersionPathStrategy`, `VersionStrategy`

public class ContentVersionStrategy extends AbstractVersionStrategy
A `VersionStrategy` that calculates a Hex MD5 hash from the content of the resource and appends it to the file name, for example, `"styles/main-e36d2e05253c6c7085a91522ce43a0b4.css"`.

Since:
  4.1
Author:
  Brian Clozel, Rossen Stoyanchev
See Also:
  - `VersionResourceResolver`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.springframework.web.servlet.resource.AbstractVersionStrategy

`AbstractVersionStrategy.FileNameVersionPathStrategy, AbstractVersionStrategy.PrefixVersionPathStrategy`

## Field Summary

### Fields inherited from class org.springframework.web.servlet.resource.AbstractVersionStrategy

`logger`

## Constructor Summary

Constructors
Constructor
Description
`ContentVersionStrategy()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getResourceVersion(org.springframework.core.io.Resource resource)`
Determine the version for the given resource.

### Methods inherited from class org.springframework.web.servlet.resource.AbstractVersionStrategy

`addVersion, extractVersion, getVersionPathStrategy, removeVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContentVersionStrategy

public ContentVersionStrategy()

## Method Details

### getResourceVersion

public String getResourceVersion(org.springframework.core.io.Resource resource)
Description copied from interface: `VersionStrategy`
Determine the version for the given resource.

Parameters:
  `resource` - the resource to check
Returns:
  the version (never `null`)